Bug 1015225 - X crash on opening graphic intensive applications
X crash on opening graphic intensive applications
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 13:06 EDT by Przemek Klosowski
Modified: 2015-02-17 12:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 12:29:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log file (66.65 KB, text/plain)
2013-10-03 13:06 EDT, Przemek Klosowski
no flags Details

  None (edit)
Description Przemek Klosowski 2013-10-03 13:06:14 EDT
Created attachment 807165 [details]
Xorg log file

Description of problem:

Version-Release number of selected component (if applicable):

This system has two graphic controllers: 
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2)
Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4350/4550]

NVIDIA is on the motherboard, Radeon is on a PCI card. I am using the Radeon on a VGA connector: VGA-0 connected primary 1920x1080+0+0 

How reproducible: every time

Steps to Reproduce:
1. run Qcad application qcad-

Actual results: X crash

Expected results: no crash of the X server

Additional info: excerpt from /var/log/Xorg.0.log.old (attached)
[226814.549] (EE) Backtrace:
[226814.553] (EE) 0: /usr/bin/Xorg (OsLookupColor+0x129) [0x46ee59]
[226814.553] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x3faa60ef9f]
[226814.554] (EE) 2: /usr/lib64/xorg/modules/libfb.so (fbPolySegment32+0x4df) [0x7fb3385c02ff]
[226814.554] (EE) 3: /usr/bin/Xorg (DamageRegionAppend+0x281d) [0x5255ad]
[226814.554] (EE) 4: /usr/bin/Xorg (dixDestroyPixmap+0xb92) [0x4343d2]
[226814.555] (EE) 5: /usr/bin/Xorg (SendErrorToClient+0x3f7) [0x436fe7]
[226814.555] (EE) 6: /usr/bin/Xorg (_init+0x3aaa) [0x429b8a]
[226814.555] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3fa9a21b75]
[226814.555] (EE) 8: /usr/bin/Xorg (_start+0x29) [0x4267f1]
[226814.556] (EE) 9: ? (?+0x29) [0x29]
[226814.556] (EE) 
[226814.556] (EE) Segmentation fault at address 0x175908
[226814.556] (EE) 
Fatal server error:
[226814.556] (EE) Caught signal 11 (Segmentation fault). Server aborting
[226814.556] (EE)...
[226814.565] (EE) Server terminated with error (1). Closing log file.
Comment 1 Fedora End Of Life 2015-01-09 15:06:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:29:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.